%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

%define atk_version 1.13.0
%define gtk2_version 2.10.0
%define gail_version 1.9.0
%define libbonobo_version 2.4.0
%define orbit2_version 2.6.0
%define pango_version 1.2.0

Summary: Assistive Technology Service Provider Interface
Name: at-spi
Version: 1.28.1
Release: 2%{?dist}
URL: http://developer.gnome.org/projects/gap/
Source0: http://download.gnome.org/sources/at-spi/1.28/%{name}-%{version}.tar.bz2

License: LGPLv2+
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: gtk2 >= %{gtk2_version}
Requires: libbonobo >= %{libbonobo_version}
Requires: ORBit2 >= %{orbit2_version}
Requires: gail >= %{gail_version}
Requires: atk >= %{atk_version}

Requires(pre): GConf2
Requires(post): GConf2
Requires(preun): GConf2

BuildRequires: pango-devel >= %{pango_version}
BuildRequires: gtk2-devel >= %{gtk2_version}
BuildRequires: libbonobo-devel >= %{libbonobo_version}
BuildRequires: ORBit2-devel >= %{orbit2_version}
BuildRequires: gail-devel >= %{gail_version}
BuildRequires: atk-devel >= %{atk_version}
BuildRequires: dbus-glib-devel
BuildRequires: GConf2-devel
BuildRequires: fontconfig
BuildRequires: gettext
BuildRequires: intltool
BuildRequires: libX11-devel
BuildRequires: libXtst-devel
BuildRequires: libXi-devel
BuildRequires: libXevie-devel
BuildRequires: libXt-devel
BuildRequires: gnome-common
BuildRequires: automake, autoconf, libtool, intltool

# http://bugzilla.gnome.org/show_bug.cgi?id=548782
Patch0: evo-crash.patch

%description
at-spi allows assistive technologies to access GTK-based
applications. Essentially it exposes the internals of applications for
automation, so tools such as screen readers, magnifiers, or even
scripting interfaces can query and interact with GUI controls.


%package devel
Summary: Development files for at-spi
Group: Development/Libraries
Requires: %name = %{version}-%{release}
Requires: atk-devel >= %{atk_version}
Requires: gtk2-devel >= %{gtk2_version}
Requires: libbonobo-devel >= %{libbonobo_version}
Requires: ORBit2-devel >= %{orbit2_version}
Requires: gail-devel >= %{gail_version}
Requires: pkgconfig

%description devel
This package contains libraries, header files and developer documentation
needed for developing applications that interact directly with at-spi.


%package python
Summary: Python bindings for at-spi
Group: Development/Libraries
Requires: %name = %{version}-%{release}
Requires: python
Requires: pyorbit
Requires: gnome-python2-bonobo

%description python
This package contains Python bindings allowing to use at-spi in Python programs.


%prep
%setup -q
%patch0 -p1 -b .evo-crash

autoreconf -i -f

%build
%configure --disable-gtk-doc --disable-static
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%find_lang at-spi

rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/gtk-2.0/modules/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/orbit-2.0/*.la

mv $RPM_BUILD_ROOT%{_datadir}/doc/%{name}-%{version} \
   $RPM_BUILD_ROOT%{_datadir}/doc/%{name}-devel-%{version}

%pre
if [ "$1" -gt 1 -a -f %{_sysconfdir}/gconf/schemas/at-spi.schemas ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/at-spi.schemas >& /dev/null || :
fi

%preun
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/at-spi.schemas >& /dev/null || :
fi

%post
/sbin/ldconfig
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/at-spi.schemas >& /dev/null || :


%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -f at-spi.lang
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README
%{_libdir}/lib*.so.*
%{_libdir}/bonobo/servers/*
%{_libdir}/orbit-2.0/*
%{_libdir}/gtk-2.0/modules/*
%{_libexecdir}/*
%{_sysconfdir}/gconf/schemas/at-spi.schemas
%{_sysconfdir}/xdg/autostart/at-spi-registryd.desktop

%files devel
%defattr(-,root,root)
%doc %{_datadir}/doc/%{name}-devel-%{version}
%{_datadir}/gtk-doc/html/*
%{_datadir}/idl/*
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*

%files python
%defattr(-,root,root)
%{python_sitearch}/pyatspi/



%changelog

